APIリファレンス見積書・請求書

見積書・請求書

運営会社の帳票を準備し、確認後に発行する

GET/v1/invoices

見積書・請求書・領収書を参照する

この事業の帳票の概要と金額を返します。内容は詳細APIで取得してください。削除済みは返しません。

クエリ

  • documentTypeenum
    invoiceestimatereceipt
  • statusenum
    draftsentapprovedrejectedpaidcanceled
  • externalRefstring

    200文字まで

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • titlestring | null
  • documentTypeenum
    invoiceestimatereceipt
  • statusenum
    draftsentapprovedrejectedpaidcanceled
  • amountnumber
  • currencystring
  • clientIdstring | null
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

GET/v1/invoices
curl https://tooon.app/api/v1/invoices \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "id": "clx8k2m0a0001",
      "externalRef": "staff-0001",
      "title": "Webサイト制作の業務委託",
      "documentType": "invoice",
      "status": "draft",
      "amount": 100000,
      "currency": "JPY",
      "clientId": "clx8k2m0a0001",
      "createdAt": "2026-11-01T09:00:00.000Z",
      "updatedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
POST/v1/invoices

見積書・請求書の下書きを作る

題名だけで下書きを作れます。documentTypeはinvoiceまたはestimate、既定はinvoice。externalRefは事業内で一意、同じ題名・種類の再送は同じ帳票を返します。再試行にはIdempotency-Keyも使ってください。発行・送付・支払い・公開は行いません。

送る項目JSON · 3項目

  • titlestring必須

    80文字まで

  • documentTypeenum
    invoiceestimate
  • externalRefstring

    200文字まで

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • titlestring | null
  • documentTypeenum
    invoiceestimatereceipt
  • statusenum
    draftsentapprovedrejectedpaidcanceled
  • amountnumber
  • currencystring
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • invoiceNumberstring | null
  • billingDatestring | null
  • paymentDeadlinestring | null
  • clientIdstring | null
  • recipientobject
    中の項目 2
    • namestring | null
    • honorificstring | null
  • issuerobject
    中の項目 7
    • namestring | null
    • companystring | null
    • postalCodestring | null
    • addressstring | null
    • buildingNamestring | null
    • phoneNumberstring | null
    • registrationNumberstring | null
  • transferBankAccountstring | null
  • remarksstring | null
  • designenum | null
    simpleclassicmodern
  • linesobject[]
    中の項目 7
    • idstring
    • namestring
    • unitPricenumber
    • quantitynumber
    • unitstring | null
    • taxRatenumber
    • isWithholdingTaxboolean
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

POST/v1/invoices
curl -X POST https://tooon.app/api/v1/invoices \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Webサイト制作の業務委託",
  "externalRef": "staff-0001"
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "title": "Webサイト制作の業務委託",
    "documentType": "invoice",
    "status": "draft",
    "amount": 100000,
    "currency": "JPY",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "invoiceNumber": "…",
    "billingDate": "2026-11-30",
    "paymentDeadline": "2026-11-30",
    "clientId": "clx8k2m0a0001",
    "recipient": {
      "name": "山田 太郎",
      "honorific": "…"
    },
    "issuer": {
      "name": "山田 太郎",
      "company": "…",
      "postalCode": "…",
      "address": "東京都渋谷区神南1-2-3",
      "buildingName": "…",
      "phoneNumber": "090-1234-5678",
      "registrationNumber": "T1234567890123"
    },
    "transferBankAccount": "…",
    "remarks": "…",
    "design": "simple",
    "lines": [
      {
        "id": "clx8k2m0a0001",
        "name": "山田 太郎",
        "unitPrice": 100000,
        "quantity": 1,
        "unit": "式",
        "taxRate": 10,
        "isWithholdingTax": false
      }
    ],
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/invoices/{id}

帳票の内容と状態を取得する

パスの値

  • idstring必須

    100文字まで

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • titlestring | null
  • documentTypeenum
    invoiceestimatereceipt
  • statusenum
    draftsentapprovedrejectedpaidcanceled
  • amountnumber
  • currencystring
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • invoiceNumberstring | null
  • billingDatestring | null
  • paymentDeadlinestring | null
  • clientIdstring | null
  • recipientobject
    中の項目 2
    • namestring | null
    • honorificstring | null
  • issuerobject
    中の項目 7
    • namestring | null
    • companystring | null
    • postalCodestring | null
    • addressstring | null
    • buildingNamestring | null
    • phoneNumberstring | null
    • registrationNumberstring | null
  • transferBankAccountstring | null
  • remarksstring | null
  • designenum | null
    simpleclassicmodern
  • linesobject[]
    中の項目 7
    • idstring
    • namestring
    • unitPricenumber
    • quantitynumber
    • unitstring | null
    • taxRatenumber
    • isWithholdingTaxboolean
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/invoices/{id}
curl https://tooon.app/api/v1/invoices/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "title": "Webサイト制作の業務委託",
    "documentType": "invoice",
    "status": "draft",
    "amount": 100000,
    "currency": "JPY",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "invoiceNumber": "…",
    "billingDate": "2026-11-30",
    "paymentDeadline": "2026-11-30",
    "clientId": "clx8k2m0a0001",
    "recipient": {
      "name": "山田 太郎",
      "honorific": "…"
    },
    "issuer": {
      "name": "山田 太郎",
      "company": "…",
      "postalCode": "…",
      "address": "東京都渋谷区神南1-2-3",
      "buildingName": "…",
      "phoneNumber": "090-1234-5678",
      "registrationNumber": "T1234567890123"
    },
    "transferBankAccount": "…",
    "remarks": "…",
    "design": "simple",
    "lines": [
      {
        "id": "clx8k2m0a0001",
        "name": "山田 太郎",
        "unitPrice": 100000,
        "quantity": 1,
        "unit": "式",
        "taxRate": 10,
        "isWithholdingTax": false
      }
    ],
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
PATCH/v1/invoices/{id}

下書きの内容を変更する

expectedUpdatedAtへGETした版を指定します。古い版は409。省略項目は保持、nullで任意項目を消せます。issuer/recipientは部分更新、linesは明細全体の置き換えです。金額はTooonの計算処理で求めます。発行済み・支払いに接続済みの帳票は編集できません。種類・所有者・決済設定は変更しません。

パスの値

  • idstring必須

    100文字まで

送る項目JSON · 29項目

  • expectedUpdatedAtstring (date-time)必須
  • titlestring

    80文字まで

  • clientIdstring | null

    100文字まで

  • recipientobject
    中の項目 2
    • namestring | null

      200文字まで

    • honorificstring | null

      30文字まで

  • issuerobject
    中の項目 7
    • namestring | null

      200文字まで

    • companystring | null

      200文字まで

    • postalCodestring | null

      20文字まで

    • addressstring | null

      500文字まで

    • buildingNamestring | null

      200文字まで

    • phoneNumberstring | null

      50文字まで

    • registrationNumberstring | null
  • invoiceNumberstring | null

    100文字まで

  • billingDatestring (date-time) | null
  • paymentDeadlinestring (date-time) | null
  • linesobject[]

    100以下件

    中の項目 6
    • namestring必須

      500文字まで

    • unitPriceinteger必須

      0〜2,147,483,647

    • quantitynumber必須

      0〜1,000,000

    • unitstring | null

      30文字まで

    • taxRateinteger必須

      0〜100

    • isWithholdingTaxboolean
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • transferBankAccountstring | null

    1,000文字まで

  • remarksstring | null

    5,000文字まで

  • designenum | null
    simpleclassicmodern

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • titlestring | null
  • documentTypeenum
    invoiceestimatereceipt
  • statusenum
    draftsentapprovedrejectedpaidcanceled
  • amountnumber
  • currencystring
  • isIncludingTaxboolean
  • taxRoundingMethodenum
    floorceilround
  • invoiceNumberstring | null
  • billingDatestring | null
  • paymentDeadlinestring | null
  • clientIdstring | null
  • recipientobject
    中の項目 2
    • namestring | null
    • honorificstring | null
  • issuerobject
    中の項目 7
    • namestring | null
    • companystring | null
    • postalCodestring | null
    • addressstring | null
    • buildingNamestring | null
    • phoneNumberstring | null
    • registrationNumberstring | null
  • transferBankAccountstring | null
  • remarksstring | null
  • designenum | null
    simpleclassicmodern
  • linesobject[]
    中の項目 7
    • idstring
    • namestring
    • unitPricenumber
    • quantitynumber
    • unitstring | null
    • taxRatenumber
    • isWithholdingTaxboolean
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

PATCH/v1/invoices/{id}
curl -X PATCH https://tooon.app/api/v1/invoices/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "expectedUpdatedAt": "2026-11-01T09:00:00.000Z",
  "title": "Webサイト制作の業務委託"
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "title": "Webサイト制作の業務委託",
    "documentType": "invoice",
    "status": "draft",
    "amount": 100000,
    "currency": "JPY",
    "isIncludingTax": false,
    "taxRoundingMethod": "floor",
    "invoiceNumber": "…",
    "billingDate": "2026-11-30",
    "paymentDeadline": "2026-11-30",
    "clientId": "clx8k2m0a0001",
    "recipient": {
      "name": "山田 太郎",
      "honorific": "…"
    },
    "issuer": {
      "name": "山田 太郎",
      "company": "…",
      "postalCode": "…",
      "address": "東京都渋谷区神南1-2-3",
      "buildingName": "…",
      "phoneNumber": "090-1234-5678",
      "registrationNumber": "T1234567890123"
    },
    "transferBankAccount": "…",
    "remarks": "…",
    "design": "simple",
    "lines": [
      {
        "id": "clx8k2m0a0001",
        "name": "山田 太郎",
        "unitPrice": 100000,
        "quantity": 1,
        "unit": "式",
        "taxRate": 10,
        "isWithholdingTax": false
      }
    ],
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/invoices/{id}/revisions

帳票の発行履歴を取得する

発行版の番号・状態・発行日時・取消日時を返します。取消済み版も履歴として含みます。本文や送付先、内部の発行者IDは返しません。

パスの値

  • idstring必須

    100文字まで

クエリ

  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • idstring
  • revisionNumberinteger
  • documentNumberstring
  • statusenum
    issuedvoided
  • issuedAtstring (date-time)
  • voidedAtstring (date-time) | null

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/{id}/revisions
curl https://tooon.app/api/v1/invoices/clx8k2m0a0001/revisions \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "id": "clx8k2m0a0001",
      "revisionNumber": 0,
      "documentNumber": "…",
      "status": "issued",
      "issuedAt": "2026-11-01T09:00:00.000Z",
      "voidedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
GET/v1/invoices/{id}/pdf

帳票のPDFを取得する

Tooon画面と同じPDFを返します。発行済みは最新の発行版、下書きはプレビューです。版のない既存帳票は保存内容から描画します。PDF取得で発行・送付・支払い・公開は行いません。

パスの値

  • idstring必須

    100文字まで

返るもの

ファイル(application/pdf)をそのまま返します。

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/{id}/pdf
curl https://tooon.app/api/v1/invoices/clx8k2m0a0001/pdf -o file.pdf \
  -H "Authorization: Bearer $TOOON_API_KEY"
insufficient_scope
{
  "error": {
    "code": "insufficient_scope",
    "message": "キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります",
    "requestId": "req_8f2c1a",
    "requiredScopes": [
      "invoices:read"
    ]
  }
}
POST/v1/invoices/{id}/issuance-preview

発行前の確認内容を作る

15分間有効な確認IDと帳票・実行内容を返します。連携先はログイン本人に全内容を表示し、明示的な確認を得てください。自動採番の場合documentNumberはnullで、発行時に採番します。発行日時は実行時刻です。プレビューでは発行・送信・決済しません。

パスの値

  • idstring必須

    200文字まで

送る項目JSON · 1項目

  • expectedUpdatedAtstring (date-time)必須

返る項目data の中身 · 200

  • confirmationIdstring
  • expectedActorIdstring
  • reviewHashstring
  • expiresAtstring (date-time)
  • reviewobject
    中の項目 2
    • documentobject
      中の項目 18
      • schemaVersion1
      • invoiceIdstring
      • documentTypeenum
        INVOICEESTIMATE
      • documentNumberstring | null
      • titlestring | null
      • currencystring

        3〜3文字

      • isIncludingTaxboolean
      • taxRoundingMethodenum
        FLOORCEILROUND
      • billingDatestring (date-time) | null
      • paymentDeadlinestring (date-time) | null
      • salesDatestring (date-time) | null
      • recipientobject
        中の項目 9
        • clientIdstring | null
        • namestring | null
        • honorificTitlestring | null
        • departmentstring | null
        • postalCodestring | null
        • addressstring | null
        • buildingNamestring | null
        • phoneNumberstring | null
        • emailstring | null
      • issuerobject
        中の項目 7
        • namestring | null
        • companystring | null
        • postalCodestring | null
        • addressstring | null
        • buildingNamestring | null
        • phoneNumberstring | null
        • registrationNumberstring | null
      • paymentobject
        中の項目 8
        • bankTransferAvailableboolean
        • creditCardAvailableboolean
        • virtualBankboolean
        • anonymousboolean
        • transferBankAccountstring | null
        • paymentUrlstring | null
        • virtualBankAccountobject | null
          中の項目 6
          • bankNamestring
          • branchNamestring
          • branchCodestring
          • accountTypestring
          • accountNumberstring
          • accountHolderNamestring
        • virtualBankAmountinteger | null

          0以上

      • linesobject[]

        1以上件

        中の項目 8
        • idstring | null
        • namestring
        • quantitynumber

          0以上

        • unitstring | null
        • unitPriceinteger
        • taxRatenumber

          0〜100

        • isWithholdingTaxboolean
        • amountinteger
      • totalsobject
        中の項目 5
        • subtotalinteger
        • taxByRateobject[]
          中の項目 3
          • taxRatenumber

            0〜100

          • taxableAmountinteger
          • taxAmountinteger
        • consumptionTaxinteger
        • withholdingTaxinteger
        • totalinteger
      • remarksstring | null
      • designenum
        SIMPLECLASSICMODERN
    • effectsobject
      中の項目 4
      • createsTransactionboolean
      • completesTasksfalse
      • delivery"none"
      • createsPaymentRequestfalse

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/{id}/issuance-preview
curl -X POST https://tooon.app/api/v1/invoices/clx8k2m0a0001/issuance-preview \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "expectedUpdatedAt": "2026-11-01T09:00:00.000Z"
}'
レスポンス
{
  "data": {
    "confirmationId": "clx8k2m0a0001",
    "expectedActorId": "clx8k2m0a0001",
    "reviewHash": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
    "expiresAt": "2026-11-01T09:00:00.000Z",
    "review": {
      "document": {
        "schemaVersion": 1,
        "invoiceId": "clx8k2m0a0001",
        "documentType": "INVOICE",
        "documentNumber": "…",
        "title": "Webサイト制作の業務委託",
        "currency": "JPY",
        "isIncludingTax": false,
        "taxRoundingMethod": "FLOOR",
        "billingDate": "2026-11-01T09:00:00.000Z",
        "paymentDeadline": "2026-11-01T09:00:00.000Z",
        "salesDate": "2026-11-01T09:00:00.000Z",
        "recipient": {
          "clientId": "clx8k2m0a0001",
          "name": "山田 太郎",
          "honorificTitle": "…",
          "department": "…",
          "postalCode": "…",
          "address": "東京都渋谷区神南1-2-3",
          "buildingName": "…",
          "phoneNumber": "090-1234-5678",
          "email": "…"
        },
        "issuer": {
          "name": "山田 太郎",
          "company": "…",
          "postalCode": "…",
          "address": "東京都渋谷区神南1-2-3",
          "buildingName": "…",
          "phoneNumber": "090-1234-5678",
          "registrationNumber": "T1234567890123"
        },
        "payment": {
          "bankTransferAvailable": true,
          "creditCardAvailable": true,
          "virtualBank": true,
          "anonymous": true,
          "transferBankAccount": "…",
          "paymentUrl": "https://tooon.app/…",
          "virtualBankAccount": {
            "bankName": "サンプル銀行",
            "branchName": "本店",
            "branchCode": "001",
            "accountType": "…",
            "accountNumber": "0123456",
            "accountHolderName": "…"
          },
          "virtualBankAmount": 100000
        },
        "lines": [
          {
            "id": "clx8k2m0a0001",
            "name": "山田 太郎",
            "quantity": 1,
            "unit": "式",
            "unitPrice": 100000,
            "taxRate": 10,
            "isWithholdingTax": false,
            "amount": 100000
          }
        ],
        "totals": {
          "subtotal": 100000,
          "taxByRate": [
            {
              "taxRate": 10,
              "taxableAmount": 100000,
              "taxAmount": 100000
            }
          ],
          "consumptionTax": 0,
          "withholdingTax": 0,
          "total": 100000
        },
        "remarks": "…",
        "design": "SIMPLE"
      },
      "effects": {
        "createsTransaction": true,
        "completesTasks": false,
        "delivery": "none",
        "createsPaymentRequest": false
      }
    }
  }
}
POST/v1/invoices/{id}/issue

本人が確認した帳票を発行する

連携先で認証した本人の確認日時・確認記録IDとプレビューのID・hashを送ります。confirmedByはプレビューのexpectedActorIdと一致させてください。連携先が本人の確認を保証・記録し、Tooonが所有者・版・内容・期限・一回限りの発行を検証します。同じ確認記録の再送は同じ発行版を返します。送信・支払い・タスク完了は行いません。

パスの値

  • idstring必須

    200文字まで

送る項目JSON · 5項目

  • confirmationIdstring必須

    200文字まで

  • reviewHashstring必須
  • confirmedBystring必須

    200文字まで

  • confirmedAtstring (date-time)必須
  • confirmationReferencestring必須

    200文字まで

返る項目data の中身 · 200

  • invoiceIdstring
  • revisionIdstring
  • revisionNumberinteger
  • documentNumberstring
  • issuedAtstring (date-time)
  • confirmationIdstring
  • delivery"none"
  • createsPaymentRequestfalse

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/{id}/issue
curl -X POST https://tooon.app/api/v1/invoices/clx8k2m0a0001/issue \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "confirmationId": "clx8k2m0a0001",
  "reviewHash": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  "confirmedBy": "member-0001",
  "confirmedAt": "2026-11-01T09:00:00.000Z",
  "confirmationReference": "confirmation-0001"
}'
レスポンス
{
  "data": {
    "invoiceId": "clx8k2m0a0001",
    "revisionId": "clx8k2m0a0001",
    "revisionNumber": 0,
    "documentNumber": "…",
    "issuedAt": "2026-11-01T09:00:00.000Z",
    "confirmationId": "clx8k2m0a0001",
    "delivery": "none",
    "createsPaymentRequest": false
  }
}
GET/v1/invoices/{id}/revisions/{revisionId}/pdf

指定した発行版のPDFを取得する

保存済みの発行版の書面を返します。取消済み版も当時の書面として取得できるため、現在有効かどうかは発行履歴のstatusを確認してください。現在の下書きや名義で発行版を上書きしません。

パスの値

  • idstring必須

    100文字まで

  • revisionIdstring必須

    100文字まで

返るもの

ファイル(application/pdf)をそのまま返します。

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/{id}/revisions/{revisionId}/pdf
curl https://tooon.app/api/v1/invoices/clx8k2m0a0001/revisions/clx8k2m0a0001/pdf -o file.pdf \
  -H "Authorization: Bearer $TOOON_API_KEY"
insufficient_scope
{
  "error": {
    "code": "insufficient_scope",
    "message": "キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります",
    "requestId": "req_8f2c1a",
    "requiredScopes": [
      "invoices:read"
    ]
  }
}